/// <reference types="pcore-pconnect-typedefs" />
import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { Utils } from '../../../_helpers/utils';
import * as i0 from "@angular/core";
interface QuickCreateProps {
    heading?: string;
    showCaseIcons?: boolean;
    classFilter?: any;
}
export declare class QuickCreateComponent implements OnInit, OnChanges {
    private utils;
    pConn$: typeof PConnect;
    formGroup$: any;
    configProps$: QuickCreateProps;
    arChildren$: any[];
    heading$?: string;
    showCaseIcons$?: boolean;
    classFilter$: any;
    cases$: any;
    constructor(utils: Utils);
    createCase(className: any): void;
    initComponent(): void;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    updateSelf(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QuickCreateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QuickCreateComponent, "app-quick-create", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
